\version "2.19.82"

\header {
  title = "Litaniæ Lauretianæ"
  composer = "František Tůma (1704-1774)"
  % Supprimer le pied de page par défaut
  tagline = ##f
}

tutti = \markup{ \italic Tutti }
soli = \markup{ \italic Soli }
ficta = { \once \set suggestAccidentals = ##t }

global = {
  \key g \minor
  \time 4/4
  \tempo "Larghetto"
  \accidentalStyle modern
  \set Score.tempoHideNote = ##t
  \compressFullBarRests
}

\include "soprano.ly"
\include "alto.ly"
\include "tenor.ly"
\include "basse.ly"

\include "violin1.ly"
\include "violin2.ly"
\include "continuo.ly"



scoreAChoirPart = \new ChoirStaff <<
  \new Staff \with {
    midiInstrument = "choir aahs"
    instrumentName = "Soprano"
    shortInstrumentName = "S."
  } { \clef treble \scoreASoprano }
  \addlyrics { \scoreASopranoVerse }
  \new Staff \with {
    midiInstrument = "choir aahs"
    instrumentName = "Alto"
    shortInstrumentName = "A."
  } { \scoreAAlto }
  \addlyrics { \scoreAAltoVerse }
  \new Staff \with {
    midiInstrument = "choir aahs"
    instrumentName = "Tenor"
    shortInstrumentName = "T."
  } { \clef "treble_8" \scoreATenor }
  \addlyrics { \scoreATenorVerse }
  \new Staff \with {
    midiInstrument = "choir aahs"
    instrumentName = "Bass"
    shortInstrumentName = "B."
  } { \clef bass \scoreABass }
  \addlyrics { \scoreABassVerse }
>>

scoreAViolinIPart = \new Staff \with {
  instrumentName = "Violin I"
  shortInstrumentName = "V. I"
  midiInstrument = "violin"
} \scoreAViolinI

scoreAViolinIIPart = \new Staff \with {
  instrumentName = "Violin II"
  shortInstrumentName = "V. II"
  midiInstrument = "violin"
} \scoreAViolinII

scoreABassoContinuoPart = <<
  \new Staff \with {
    instrumentName = "Continuo"
    shortInstrumentName = "B.c."
    midiInstrument = "cello"
  } { \clef bass \scoreABcMusic }
  \new FiguredBass \scoreABcFigures
>>

\score {
  <<
    \scoreAChoirPart
    \scoreAViolinIPart
    \scoreAViolinIIPart
    \scoreABassoContinuoPart
  >>
  \layout { 
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 4=80
  }
}
